twitter4j

## Interface MediaEntity

All Superinterfaces:
  Serializable, TweetEntity, URLEntity

All Known Implementing Classes:
  MediaEntityJSONImpl

    public interface MediaEntity
    extends URLEntity

Since:
  Twitter4J 2.2.3
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Nested Class Summary

Nested Classes
`static interface` `MediaEntity.Size`
`static interface` `MediaEntity.Variant`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getExtAltText()`
`long` `getId()` Returns the id of the media.
`String` `getMediaURL()` Returns the media URL.
`String` `getMediaURLHttps()` Returns the media secure URL.
`Map<Integer,MediaEntity.Size>` `getSizes()` Returns size variations of the media.
`String` `getType()` Returns the media type ("photo", "video", "animated_gif").
`int` `getVideoAspectRatioHeight()`
`int` `getVideoAspectRatioWidth()`
`long` `getVideoDurationMillis()`
`MediaEntity.Variant[]` `getVideoVariants()`

### Methods inherited from interface twitter4j.URLEntity

`getDisplayURL, getEnd, getExpandedURL, getStart, getText, getURL`

### Method Detail

#### getId

    long getId()

Returns the id of the media.

Returns:
  the id of the media

#### getMediaURL

    String getMediaURL()

Returns the media URL.

Returns:
  the media URL

#### getMediaURLHttps

    String getMediaURLHttps()

Returns the media secure URL.

Returns:
  the media secure URL

#### getSizes

    Map<Integer,MediaEntity.Size> getSizes()

Returns size variations of the media.

Returns:
  size variations of the media

#### getType

    String getType()

Returns the media type ("photo", "video", "animated_gif").

Returns:
  the media type ("photo", "video", "animated_gif").

#### getVideoAspectRatioWidth

    int getVideoAspectRatioWidth()

#### getVideoAspectRatioHeight

    int getVideoAspectRatioHeight()

#### getVideoDurationMillis

    long getVideoDurationMillis()

#### getVideoVariants

    MediaEntity.Variant[] getVideoVariants()

#### getExtAltText

    String getExtAltText()